﻿/* cs grid directive styles */

.cs-grid {
}

    .cs-grid table {
        table-layout: fixed;
        width: 100%;
        margin-bottom: 0;
    }

        .cs-grid table tr td,
        .cs-grid table tr th {
            white-space: nowrap;
            overflow: hidden;
        }

            .cs-grid table tr th a {
                color: #fff;
                text-decoration: none;
            }

        .cs-grid table thead tr.filters-row th {
            background-color: transparent;
            border-top: none !important;
            border-bottom: none !important;
            padding: 2px;
        }

        .cs-grid table tbody tr td a {
            color: #2a6496;
        }

/* cell templates styles */

.datetime-cell {
    color: #666;
    font-style: italic;
}

.clickable-cell {
    color: #2a6496;
}

.json-cell {
    table-layout: auto !important;
    width: 100% !important;
    margin-bottom: 0 !important;
    font-size: 11px;
    color: #666;
}

    .json-cell tr td,
    .json-cell tr th {
        vertical-align: top !important;
        white-space: normal !important;
        overflow: auto !important;
    }

        .json-cell tr td.key {
            font-weight: bold;
            padding-right: 4px;
        }

/* alternative grid style sets */

.cs-grid.compact-grid {
}

    .cs-grid.compact-grid table {
        font-size: 11px;
    }

        .cs-grid.compact-grid table tr td,
        .cs-grid.compact-grid table tr th {
            white-space: normal;
            word-break: break-all;
        }

        .cs-grid.compact-grid table tr th {
            vertical-align: top;
        }
